# SimpleLocation3D

data class SimpleLocation3D(x: Double, y: Double, z: Double, direction: Vector)
Content copied to clipboard

## Constructors

SimpleLocation3D
Link copied to clipboard
fun SimpleLocation3D(x: Number, y: Number, z: Number)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Double
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Double
Content copied to clipboard
component3
Link copied to clipboard
operator fun component3(): Double
Content copied to clipboard
component4
Link copied to clipboard
operator fun component4(): Vector
Content copied to clipboard
copy
Link copied to clipboard
fun copy(x: Double, y: Double, z: Double, direction: Vector): SimpleLocation3D
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

chunk
Link copied to clipboard
val chunk: SimpleChunkLocation
Content copied to clipboard
direction
Link copied to clipboard
val direction: Vector
Content copied to clipboard
x
Link copied to clipboard
val x: Double
Content copied to clipboard
y
Link copied to clipboard
val y: Double
Content copied to clipboard
z
Link copied to clipboard
val z: Double
Content copied to clipboard

## Extensions

toVector
Link copied to clipboard
fun SimpleLocation3D.toVector(): Vector
Content copied to clipboard
withWorld
Link copied to clipboard
fun SimpleLocation3D.withWorld(world: World): Location
Content copied to clipboard